> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add transactions

> 
        Add a list of transactions to a company's cap table. Supports sales, conversions, and exercises of securities.

        **Permissions:**
        - User must be authenticated via OAuth.
        - User must have access to the company.
        - User must have permission to add data to the portco.
    



## OpenAPI

````yaml post /beta/investment/transactions/add/
openapi: 3.1.0
info:
  title: Standard Metrics Investment Data API
  version: beta
  description: Standard Metrics' investment data API.
servers:
  - url: https://app.standardmetrics.io
security: []
paths:
  /beta/investment/transactions/add/:
    post:
      tags:
        - cap_table
      summary: Add transactions
      description: |2-

                Add a list of transactions to a company's cap table. Supports sales, conversions, and exercises of securities.

                **Permissions:**
                - User must be authenticated via OAuth.
                - User must have access to the company.
                - User must have permission to add data to the portco.
            
      operationId: add_transactions
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddTransactions'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Transaction'
                title: Response
                type: array
      security:
        - BearerAuth: []
components:
  schemas:
    AddTransactions:
      description: A list of transactions to add to a company's cap table.
      properties:
        sales:
          default: []
          items:
            $ref: '#/components/schemas/Sale'
          title: Sales
          type: array
        conversions:
          default: []
          items:
            $ref: '#/components/schemas/Conversion'
          title: Conversions
          type: array
        exercises:
          default: []
          items:
            $ref: '#/components/schemas/Exercise'
          title: Exercises
          type: array
      title: AddTransactions
      type: object
    Transaction:
      description: A transaction from one holding to another.
      properties:
        id:
          description: The ID of the transaction.
          examples:
            - a2Ne
          title: Id
          type: string
        company_id:
          description: The ID of the company related to the transaction.
          examples:
            - pvYe
          title: Company Id
          type: string
        company_name:
          description: The name of the company related to the record.
          examples:
            - Acme Corp
          title: Company Name
          type: string
        input_security_id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID for the security that was being transacted.
          examples:
            - pvYe
          title: Input Security Id
        output_security_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The ID for the security that was created as a result of the
            transaction.
          examples:
            - pvYe
          title: Output Security Id
        date:
          description: The date of the transaction.
          examples:
            - '2030-01-01'
          format: date
          title: Date
          type: string
        event:
          $ref: '#/components/schemas/TransactionEvent'
          description: The type of transaction that occurred.
          examples:
            - Sale
        shares:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: >-
            The number of shares that were transferred or sold as a result of
            the transaction.
          examples:
            - '1000000'
          title: Shares
        investment_amount:
          $ref: '#/components/schemas/MoneyAmount'
          description: The amount of money that was invested in the transaction.
          examples:
            - currency: USD
              value: '1000000'
        proceeds:
          anyOf:
            - $ref: '#/components/schemas/MoneyAmount'
            - type: 'null'
          description: The amount of money that was received from the transaction.
          examples:
            - currency: USD
              value: '1000000'
      required:
        - id
        - company_id
        - company_name
        - input_security_id
        - output_security_id
        - date
        - event
        - shares
        - investment_amount
        - proceeds
      title: Transaction
      type: object
    Sale:
      description: A sale transaction.
      properties:
        company_id:
          title: Company Id
          type: string
        date:
          format: date
          title: Date
          type: string
        security_id:
          title: Security Id
          type: string
        cash_received:
          $ref: '#/components/schemas/MoneyAmount'
        shares_sold:
          anyOf:
            - type: number
            - type: string
          title: Shares Sold
      required:
        - company_id
        - date
        - security_id
        - cash_received
        - shares_sold
      title: Sale
      type: object
    Conversion:
      description: A conversion transaction.
      properties:
        company_id:
          title: Company Id
          type: string
        date:
          format: date
          title: Date
          type: string
        security_id:
          title: Security Id
          type: string
        converted_to_share_class_id:
          title: Converted To Share Class Id
          type: string
      required:
        - company_id
        - date
        - security_id
        - converted_to_share_class_id
      title: Conversion
      type: object
    Exercise:
      description: An exercise transaction.
      properties:
        company_id:
          title: Company Id
          type: string
        date:
          format: date
          title: Date
          type: string
        security_id:
          title: Security Id
          type: string
        converted_to_share_class_id:
          title: Converted To Share Class Id
          type: string
      required:
        - company_id
        - date
        - security_id
        - converted_to_share_class_id
      title: Exercise
      type: object
    TransactionEvent:
      description: A transaction event.
      enum:
        - exercise
        - conversion
        - sale
      title: TransactionEvent
      type: string
    MoneyAmount:
      description: A monetary amount.
      properties:
        value:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The value of the amount for the source currency.
          examples:
            - '1000000'
          title: Value
        converted_value:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The value of the amount converted to your firm's preferred currency.
          examples:
            - '1000000'
          readOnly: true
          title: Converted Value
        currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencyCode'
            - type: 'null'
          description: The currency of the amount.
          examples:
            - USD
        converted_currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencyCode'
            - type: 'null'
          description: >-
            The currency of the converted amount. Your firm's preferred
            currency.
          examples:
            - USD
          readOnly: true
        fx_rate:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The FX rate between the source currency and the converted currency.
          examples:
            - '1.0'
          title: Fx Rate
        is_custom_rate:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Whether the FX rate is a custom rate.
          examples:
            - false
          readOnly: true
          title: Is Custom Rate
      required:
        - value
        - currency
      title: MoneyAmount
      type: object
    CurrencyCode:
      description: Supported currency codes.
      enum:
        - AED
        - AUD
        - BDT
        - BRL
        - CAD
        - CHF
        - CNY
        - COP
        - CZK
        - DKK
        - EUR
        - GBP
        - GHS
        - HKD
        - IDR
        - ILS
        - INR
        - JPY
        - JOD
        - KES
        - KRW
        - MXN
        - NGN
        - NOK
        - NZD
        - PEN
        - PHP
        - SAR
        - SGD
        - USD
        - PKR
        - THB
        - TRY
        - TWD
        - TZS
        - VND
        - SEK
        - ISK
        - ZAR
      title: CurrencyCode
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````